<?php
$recet = $_REQUEST['receta2'];
$pudor = $_REQUEST['puntuador2'];
$pcion = $_REQUEST['puntuacion2'];
$puado = $_REQUEST['puntuado2'];
echo "Procesando y Redireccionando (Repuntuando la receta)";
require 'funciones.php';
?>

<?php
	mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal");
	mysql_query("UPDATE tvaloracion2 SET valor='$pcion' WHERE codRVal=$recet AND autRVal=$pudor");
	$puntuacion = calcularMedia($recet);
	mysql_query("UPDATE trecetas2 SET valoracion='$puntuacion' WHERE codigoR=$recet");
	//liberar conexion: mysql_close();
	
	//Actualizar puntuacion media cocinero
	$valorMedioCoci = mediaCocinero($puado);
		
	$conexion12C = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexion12C);
	$queEmp12C = "UPDATE tuser SET valorMedioCoc='$valorMedioCoci' WHERE Usuario=$puado";
	$resEmp12C = mysql_query($queEmp12C, $conexion12C) or die ("Error: No es posible modificar el valor medio Cocinero");
	mysql_close($conexion12C);
	
?>


<script type="text/javascript">
	window.location = "https://fbserver.dyndns-server.com/facebook/mostrar.php?indiceReceta=<?php echo $recet?> ";
</script>